
package com.examples.testapp1.data;

import com.backendless.Backendless;
import com.backendless.async.callback.AsyncCallback;
import com.backendless.persistence.DataQueryBuilder;

import java.util.List;

public class MedicalInfo
{
  private String objectId;
  private String ownerId;
  private java.util.Date updated;
  private java.util.Date created;

  private String blood_type;
  private String allergens;

  public String getObjectId()
  {
    return objectId;
  }

  public String getOwnerId()
  {
    return ownerId;
  }

  public java.util.Date getUpdated()
  {
    return updated;
  }

  public java.util.Date getCreated()
  {
    return created;
  }

  public String getBlood_type()
  {
    return blood_type;
  }

  public void setBlood_type( String blood_type )
  {
    this.blood_type = blood_type;
  }

  public String getAllergens()
  {
    return allergens;
  }

  public void setAllergens( String allergens )
  {
    this.allergens = allergens;
  }

  public com.examples.testapp1.data.MedicalInfo save()
  {
    return Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).save( this );
  }

  public void saveAsync( AsyncCallback<com.examples.testapp1.data.MedicalInfo> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).save( this, callback );
  }

  public Long remove()
  {
    return Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).remove( this );
  }

  public void removeAsync( AsyncCallback<Long> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).remove( this, callback );
  }

  public static com.examples.testapp1.data.MedicalInfo findById( String id )
  {
    return Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).findById( id );
  }

  public static void findByIdAsync( String id, AsyncCallback<com.examples.testapp1.data.MedicalInfo> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).findById( id, callback );
  }

  public static com.examples.testapp1.data.MedicalInfo findFirst()
  {
    return Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).findFirst();
  }

  public static void findFirstAsync( AsyncCallback<com.examples.testapp1.data.MedicalInfo> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).findFirst( callback );
  }

  public static com.examples.testapp1.data.MedicalInfo findLast()
  {
    return Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).findLast();
  }

  public static void findLastAsync( AsyncCallback<com.examples.testapp1.data.MedicalInfo> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).findLast( callback );
  }

  public static List<com.examples.testapp1.data.MedicalInfo> find( DataQueryBuilder queryBuilder )
  {
    return Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).find( queryBuilder );
  }

  public static void findAsync( DataQueryBuilder queryBuilder, AsyncCallback<List<com.examples.testapp1.data.MedicalInfo>> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.MedicalInfo.class ).find( queryBuilder, callback );
  }
}