package com.examples.testapp1.data;

import com.backendless.Backendless;
import com.backendless.async.callback.AsyncCallback;
import com.backendless.persistence.DataQueryBuilder;

import java.util.List;

public class Person
{
  private String name;
  private java.util.Date birthday;
  private String ownerId;
  private String surname;
  private String gender;
  private String objectId;
  private java.util.Date updated;
  private java.util.Date created;
  private List<Phone> phone;
  private List<Address> address;
  private MedicalInfo medical_info;
  private Double discount;

  public Person()
  {
  }

  public Person( String objectId )
  {
    this.objectId = objectId;
  }

  public String getName()
  {
    return name;
  }

  public void setName( String name )
  {
    this.name = name;
  }

  public java.util.Date getBirthday()
  {
    return birthday;
  }

  public void setBirthday( java.util.Date birthday )
  {
    this.birthday = birthday;
  }

  public String getOwnerId()
  {
    return ownerId;
  }

  public String getSurname()
  {
    return surname;
  }

  public void setSurname( String surname )
  {
    this.surname = surname;
  }

  public String getGender()
  {
    return gender;
  }

  public void setGender( String gender )
  {
    this.gender = gender;
  }

  public String getObjectId()
  {
    return objectId;
  }

  public java.util.Date getUpdated()
  {
    return updated;
  }

  public java.util.Date getCreated()
  {
    return created;
  }

  public List<Phone> getPhone()
  {
    return phone;
  }

  public void setPhone( List<Phone> phone )
  {
    this.phone = phone;
  }

  public List<Address> getAddress()
  {
    return address;
  }

  public void setAddress( List<Address> address )
  {
    this.address = address;
  }

  public MedicalInfo getMedical_info()
  {
    return medical_info;
  }

  public void setMedical_info( MedicalInfo medical_info )
  {
    this.medical_info = medical_info;
  }

  public Double getDiscount()
  {
    return discount;
  }

  public void setDiscount( Double discount )
  {
    this.discount = discount;
  }

  public com.examples.testapp1.data.Person save()
  {
    return Backendless.Data.of( com.examples.testapp1.data.Person.class ).save( this );
  }

  public void saveAsync( AsyncCallback<com.examples.testapp1.data.Person> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.Person.class ).save( this, callback );
  }

  public Long remove()
  {
    return Backendless.Data.of( com.examples.testapp1.data.Person.class ).remove( this );
  }

  public void removeAsync( AsyncCallback<Long> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.Person.class ).remove( this, callback );
  }

  public static com.examples.testapp1.data.Person findById( String id )
  {
    return Backendless.Data.of( com.examples.testapp1.data.Person.class ).findById( id );
  }

  public static void findByIdAsync( String id, AsyncCallback<com.examples.testapp1.data.Person> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.Person.class ).findById( id, callback );
  }

  public static com.examples.testapp1.data.Person findFirst()
  {
    return Backendless.Data.of( com.examples.testapp1.data.Person.class ).findFirst();
  }

  public static void findFirstAsync( AsyncCallback<com.examples.testapp1.data.Person> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.Person.class ).findFirst( callback );
  }

  public static com.examples.testapp1.data.Person findLast()
  {
    return Backendless.Data.of( com.examples.testapp1.data.Person.class ).findLast();
  }

  public static void findLastAsync( AsyncCallback<com.examples.testapp1.data.Person> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.Person.class ).findLast( callback );
  }

  public static List<com.examples.testapp1.data.Person> find( DataQueryBuilder queryBuilder )
  {
    return Backendless.Data.of( com.examples.testapp1.data.Person.class ).find( queryBuilder );
  }

  public static void findAsync( DataQueryBuilder queryBuilder, AsyncCallback<List<com.examples.testapp1.data.Person>> callback )
  {
    Backendless.Data.of( com.examples.testapp1.data.Person.class ).find( queryBuilder, callback );
  }
}