
package com.examples.testapp1.data;

import com.backendless.Backendless;
import com.backendless.async.callback.AsyncCallback;
import com.backendless.persistence.DataQueryBuilder;

import java.util.List;

public class ServiceOrder
{
  private String objectId;
  private java.util.Date created;
  private java.util.Date updated;
  private String ownerId;
  private Double total_cost;
  private Integer materials_count;
  private Double service_complexity;
  private Double discount;
  private List<MaterialType> materials;
  private Person customer;
  private List<WorkType> service;
  private Auto vehicle;
  public String getObjectId()
  {
    return objectId;
  }

  public java.util.Date getCreated()
  {
    return created;
  }

  public java.util.Date getUpdated()
  {
    return updated;
  }

  public String getOwnerId()
  {
    return ownerId;
  }

  public Double getTotal_cost()
  {
    return total_cost;
  }

  public void setTotal_cost( Double total_cost )
  {
    this.total_cost = total_cost;
  }

  public Integer getMaterials_count()
  {
    return materials_count;
  }

  public void setMaterials_count( Integer materials_count )
  {
    this.materials_count = materials_count;
  }

  public Double getService_complexity()
  {
    return service_complexity;
  }

  public void setService_complexity( Double service_complexity )
  {
    this.service_complexity = service_complexity;
  }

  public Double getDiscount()
  {
    return discount;
  }

  public void setDiscount( Double discount )
  {
    this.discount = discount;
  }

  public List<MaterialType> getMaterials()
  {
    return materials;
  }

  public void setMaterials( List<MaterialType> materials )
  {
    this.materials = materials;
  }

  public Person getCustomer()
  {
    return customer;
  }

  public void setCustomer( Person customer )
  {
    this.customer = customer;
  }

  public List<WorkType> getService()
  {
    return service;
  }

  public void setService( List<WorkType> service )
  {
    this.service = service;
  }

  public Auto getVehicle()
  {
    return vehicle;
  }

  public void setVehicle( Auto vehicle )
  {
    this.vehicle = vehicle;
  }

                                                    
  public ServiceOrder save()
  {
    return Backendless.Data.of( ServiceOrder.class ).save( this );
  }

  public void saveAsync( AsyncCallback<ServiceOrder> callback )
  {
    Backendless.Data.of( ServiceOrder.class ).save( this, callback );
  }

  public Long remove()
  {
    return Backendless.Data.of( ServiceOrder.class ).remove( this );
  }

  public void removeAsync( AsyncCallback<Long> callback )
  {
    Backendless.Data.of( ServiceOrder.class ).remove( this, callback );
  }

  public static ServiceOrder findById( String id )
  {
    return Backendless.Data.of( ServiceOrder.class ).findById( id );
  }

  public static void findByIdAsync( String id, AsyncCallback<ServiceOrder> callback )
  {
    Backendless.Data.of( ServiceOrder.class ).findById( id, callback );
  }

  public static ServiceOrder findFirst()
  {
    return Backendless.Data.of( ServiceOrder.class ).findFirst();
  }

  public static void findFirstAsync( AsyncCallback<ServiceOrder> callback )
  {
    Backendless.Data.of( ServiceOrder.class ).findFirst( callback );
  }

  public static ServiceOrder findLast()
  {
    return Backendless.Data.of( ServiceOrder.class ).findLast();
  }

  public static void findLastAsync( AsyncCallback<ServiceOrder> callback )
  {
    Backendless.Data.of( ServiceOrder.class ).findLast( callback );
  }

  public static List<ServiceOrder> find( DataQueryBuilder queryBuilder )
  {
    return Backendless.Data.of( ServiceOrder.class ).find( queryBuilder );
  }

  public static void findAsync( DataQueryBuilder queryBuilder, AsyncCallback<List<ServiceOrder>> callback )
  {
    Backendless.Data.of( ServiceOrder.class ).find( queryBuilder, callback );
  }
}