
package com.examples.testapp1.data;

import com.backendless.Backendless;
import com.backendless.async.callback.AsyncCallback;
import com.backendless.persistence.DataQueryBuilder;

import java.util.List;

public class MaterialType
{
  private java.util.Date created;
  private String objectId;
  private String ownerId;
  private String name;
  private java.util.Date updated;
  private Double price;

  public MaterialType()
  {
  }

  public MaterialType( String objectId )
  {
    this.objectId = objectId;
  }

  public java.util.Date getCreated()
  {
    return created;
  }

  public String getObjectId()
  {
    return objectId;
  }

  public String getOwnerId()
  {
    return ownerId;
  }

  public String getName()
  {
    return name;
  }

  public void setName( String name )
  {
    this.name = name;
  }

  public java.util.Date getUpdated()
  {
    return updated;
  }

  public Double getPrice()
  {
    return price;
  }

  public void setPrice( Double price )
  {
    this.price = price;
  }

                                                    
  public MaterialType save()
  {
    return Backendless.Data.of( MaterialType.class ).save( this );
  }

  public void saveAsync( AsyncCallback<MaterialType> callback )
  {
    Backendless.Data.of( MaterialType.class ).save( this, callback );
  }

  public Long remove()
  {
    return Backendless.Data.of( MaterialType.class ).remove( this );
  }

  public void removeAsync( AsyncCallback<Long> callback )
  {
    Backendless.Data.of( MaterialType.class ).remove( this, callback );
  }

  public static MaterialType findById( String id )
  {
    return Backendless.Data.of( MaterialType.class ).findById( id );
  }

  public static void findByIdAsync( String id, AsyncCallback<MaterialType> callback )
  {
    Backendless.Data.of( MaterialType.class ).findById( id, callback );
  }

  public static MaterialType findFirst()
  {
    return Backendless.Data.of( MaterialType.class ).findFirst();
  }

  public static void findFirstAsync( AsyncCallback<MaterialType> callback )
  {
    Backendless.Data.of( MaterialType.class ).findFirst( callback );
  }

  public static MaterialType findLast()
  {
    return Backendless.Data.of( MaterialType.class ).findLast();
  }

  public static void findLastAsync( AsyncCallback<MaterialType> callback )
  {
    Backendless.Data.of( MaterialType.class ).findLast( callback );
  }

  public static List<MaterialType> find( DataQueryBuilder queryBuilder )
  {
    return Backendless.Data.of( MaterialType.class ).find( queryBuilder );
  }

  public static void findAsync( DataQueryBuilder queryBuilder, AsyncCallback<List<MaterialType>> callback )
  {
    Backendless.Data.of( MaterialType.class ).find( queryBuilder, callback );
  }
}